### Method

# Gtk CellAreaactivate

deprecated: 4.10

#### Declaration [src]

    gboolean
    gtk_cell_area_activate (
      GtkCellArea* area,
      GtkCellAreaContext* context,
      GtkWidget* widget,
      const GdkRectangle* cell_area,
      GtkCellRendererState flags,
      gboolean edit_only
    )

#### Description [src]

Activates `area`, usually by activating the currently focused cell, however some subclasses which embed widgets in the area can also activate a widget if it currently has the focus.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`context`

  Type: `GtkCellAreaContext`

  The `GtkCellArea`Context in context with the current row data.

  The data is owned by the caller of the method.

`widget`

  Type: `GtkWidget`

  The `GtkWidget` that `area` is rendering on.

  The data is owned by the caller of the method.

`cell_area`

  Type: `GdkRectangle`

  The size and location of `area` relative to `widget`’s allocation.

  The data is owned by the caller of the method.

`flags`

  Type: `GtkCellRendererState`

  The `GtkCellRenderer`State flags for `area` for this row of data.

`edit_only`

  Type: `gboolean`

  If `TRUE` then only cell renderers that are `GTK_CELL_RENDERER_MODE_EDITABLE` will be activated.

#### Return value

Type: `gboolean`

Whether `area` was successfully activated.